import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

cache_list = [
    'cache/ows/wmts?layer=DEM_COP-DEM_GLO-30-DTED__EARTH&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=12&TileCol=1593&TileRow=1410&time=2011-03-01T00%3A00%3A00Z%2F2011-04-01T00%3A00%3A00Z',
    'cache/ows/wmts?layer=DEM_COP-DEM_GLO-30-DTED__EARTH&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=12&TileCol=1598&TileRow=1408&time=2011-03-01T00%3A00%3A00Z%2F2011-04-01T00%3A00%3A00Z',
    'cache/ows/wmts?layer=DEM_COP-DEM_GLO-30-DTED__EARTH&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=12&TileCol=1596&TileRow=1409&time=2011-03-01T00%3A00%3A00Z%2F2011-04-01T00%3A00%3A00Z',
    'cache/ows/wmts?layer=DEM_COP-DEM_GLO-30-DTED__EARTH&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=12&TileCol=1598&TileRow=1406&time=2011-03-01T00%3A00%3A00Z%2F2011-04-01T00%3A00%3A00Z',
    'cache/ows/wmts?layer=DEM_COP-DEM_GLO-30-DTED__EARTH&style=default&tilematrixset=WGS84&Service=WMTS&Request=GetTile&Version=1.0.0&Format=image%2Fpng&TileMatrix=8&TileCol=98&TileRow=85&time=2011-03-01T00%3A00%3A00Z%2F2011-04-01T00%3A00%3A00Z'
]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(cache_list)-1)
       item = cache_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    
