import gevent.monkey
gevent.monkey.patch_all()
import random
import requests
import time
from xml.etree import ElementTree

from locust import HttpUser, task, between

cache_list = [
     'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=DEM_COP-DEM_EEA-10-DGED__EARTH&height=75&width=100&version=1.3.0&BBOX=45.148269,5.645084,45.207622,5.802412&TRANSPARENT=true&time=2011-03-27T17:33:36Z',
     'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=DEM_COP-DEM_EEA-10-DGED__EARTH&height=75&width=100&version=1.3.0&BBOX=45.392965,4.417276,45.422522,4.495940&TRANSPARENT=true&time=2011-03-27T17:33:32Z',
     'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=DEM_COP-DEM_EEA-10-DGED__EARTH&height=75&width=100&version=1.3.0&BBOX=45.744048,4.777207,45.773420,4.855871&TRANSPARENT=true&time=2011-03-27T17:33:32Z',
     'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=DEM_COP-DEM_EEA-10-DGED__EARTH&height=75&width=100&version=1.3.0&BBOX=52.862381,8.737156,52.868735,8.756822&TRANSPARENT=true&time=2011-03-12T17:09:13Z',
     'cache/ows?STYLES=&CRS=EPSG%3A4326&service=WMS&format=image%2Fpng&request=GetMap&layers=DEM_COP-DEM_EEA-10-DGED__EARTH&height=75&width=100&version=1.3.0&BBOX=52.304018,8.369265,52.355474,8.526592&TRANSPARENT=true&time=2011-03-12T17:09:13Z'

]



class QuickstartUser(HttpUser):


    wait_time = between(0, 0)

    @task(3)
    def view_item(self):
       item_id = random.randint(0, len(cache_list)-1)
       item = cache_list[item_id]
       # replace the strings 'username' and 'Password' with the pdas/vs credintials 

       self.client.get(f"{item}", auth=( 'username', 'Password'))
    
